Bug 140340 - udev fails to load device sda sda1 from a qla2200 hba
udev fails to load device sda sda1 from a qla2200 hba
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 09:16 EST by Curt
Modified: 2015-01-04 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dmesg /var/log/messages /proc/scsi/device_info lsmod comments (19.50 KB, text/plain)
2004-11-22 09:19 EST, Curt
no flags Details

  None (edit)
Description Curt 2004-11-22 09:16:08 EST
Description of problem:
kernel 2.6.9 fails to load a hardware RAID 5 device attached using a 
qla2200 hba. 2.6.8 loads it properly. 2.6.8 is not using udev.
I added the device files from /dev/ for sda sda1 into
/etc/udev/devices as noted in the documentation

Version-Release number of selected component (if applicable)
 2.6.9-1.667  2.6.9-1.678_FC3 both dont work 
2.6.8-1.521 does work

How reproducible:
This happens every time I boot


Steps to Reproduce:
1. Load 2.6.9 any version
2. duing boot watch the system 
3. sytem goes into panic
  
Actual results:

The hba loads with out finding sda or sda1

Expected results:

Hba loads finding sda sda1

Additional info:
Have log files of both 2.6.8 and 2.6.9 files with comments
which I need to upload
Comment 1 Curt 2004-11-22 09:19:45 EST
Created attachment 107180 [details]
Dmesg  /var/log/messages /proc/scsi/device_info lsmod  comments

in /etc/udev/devices are the following sda  sda1
Comment 2 Harald Hoyer 2004-11-22 09:20:40 EST
which version of udev? Did you try to run mkinitrd after you updated udev?
Comment 3 Curt 2004-11-22 10:15:19 EST
I did run mkinitrd after making the entrys.
the version od udev is udev-039-10.FC3.2
Also in the 2.6.8 kernel sda sda1 loads before udev.
In the 2.6.9 kernels sda sda1 never load
Comment 4 Harald Hoyer 2004-11-22 10:27:41 EST
do you have a scsi_hostadapter  in your /etc/modprobe.conf??
s.th. like this:
alias scsi_hostadapter_0 qla2200
Comment 5 Harald Hoyer 2004-11-22 10:31:11 EST
okok, read the attachement... reassigning to kernel, as this appears
more like a driver problem..
Comment 6 Curt 2004-11-22 10:47:14 EST
like this "alias scsi_hostadapter qla2200"
yes if you look add the log file lsmod does show it loaded
and if you look in the log at /proc/scsi/qla2xxx/0 you see the
hba and the raid device hanging off the hba. If you look at the 
device_info file in the log.txt file you will see the dgc raid device
identified
Comment 7 Dave Jones 2005-07-15 14:12:56 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Dave Jones 2005-10-02 20:41:04 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.